export declare function mapSet<T, R>(set: Set<T>, fn: (value: T) => R): R[];
export declare function mapMap<K, V, R>(map: Map<K, V>, fn: (value: V, key: K) => R): R[];
export declare function forKeys<T>(obj: T, fn: (key: keyof T) => void): void;
export declare function omit<T>(obj: T, values: (keyof T)[]): T;
export declare function setSub<T>(source: Set<T>, ...subs: Set<T>[]): Set<T>;
export declare function exists<T>(value: T | null | undefined): value is T;
export declare function unindent(message: string): string;
